com.amazonaws.services.codedeploy.model

## Class S3Location

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.S3Location

All Implemented Interfaces:
  Serializable, Cloneable

    public class S3Location
    extends Object
    implements Serializable, Cloneable

Information about the location of application artifacts stored in Amazon S3.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`S3Location()`

### Method Summary

All Methods Instance Methods Concrete Methods
`S3Location` `clone()`
`boolean` `equals(Object obj)`
`String` `getBucket()` The name of the Amazon S3 bucket where the application revision is stored.
`String` `getBundleType()` The file type of the application revision.
`String` `getETag()` The ETag of the Amazon S3 object that represents the bundled artifacts for the application revision.
`String` `getKey()` The name of the Amazon S3 object that represents the bundled artifacts for the application revision.
`String` `getVersion()` A specific version of the Amazon S3 object that represents the bundled artifacts for the application revision.
`int` `hashCode()`
`void` `setBucket(String bucket)` The name of the Amazon S3 bucket where the application revision is stored.
`void` `setBundleType(BundleType bundleType)` The file type of the application revision.
`void` `setBundleType(String bundleType)` The file type of the application revision.
`void` `setETag(String eTag)` The ETag of the Amazon S3 object that represents the bundled artifacts for the application revision.
`void` `setKey(String key)` The name of the Amazon S3 object that represents the bundled artifacts for the application revision.
`void` `setVersion(String version)` A specific version of the Amazon S3 object that represents the bundled artifacts for the application revision.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`S3Location` `withBucket(String bucket)` The name of the Amazon S3 bucket where the application revision is stored.
`S3Location` `withBundleType(BundleType bundleType)` The file type of the application revision.
`S3Location` `withBundleType(String bundleType)` The file type of the application revision.
`S3Location` `withETag(String eTag)` The ETag of the Amazon S3 object that represents the bundled artifacts for the application revision.
`S3Location` `withKey(String key)` The name of the Amazon S3 object that represents the bundled artifacts for the application revision.
`S3Location` `withVersion(String version)` A specific version of the Amazon S3 object that represents the bundled artifacts for the application revision.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### S3Location

    public S3Location()

### Method Detail

#### setBucket

    public void setBucket(String bucket)

The name of the Amazon S3 bucket where the application revision is stored.

Parameters:
  `bucket` - The name of the Amazon S3 bucket where the application revision is stored.

#### getBucket

    public String getBucket()

The name of the Amazon S3 bucket where the application revision is stored.

Returns:
  The name of the Amazon S3 bucket where the application revision is stored.

#### withBucket

    public S3Location withBucket(String bucket)

The name of the Amazon S3 bucket where the application revision is stored.

Parameters:
  `bucket` - The name of the Amazon S3 bucket where the application revision is stored.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setKey

    public void setKey(String key)

The name of the Amazon S3 object that represents the bundled artifacts for the application revision.

Parameters:
  `key` - The name of the Amazon S3 object that represents the bundled artifacts for the application revision.

#### getKey

    public String getKey()

The name of the Amazon S3 object that represents the bundled artifacts for the application revision.

Returns:
  The name of the Amazon S3 object that represents the bundled artifacts for the application revision.

#### withKey

    public S3Location withKey(String key)

The name of the Amazon S3 object that represents the bundled artifacts for the application revision.

Parameters:
  `key` - The name of the Amazon S3 object that represents the bundled artifacts for the application revision.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setBundleType

    public void setBundleType(String bundleType)

The file type of the application revision. Must be one of the following:

- tar: A tar archive file.

- tgz: A compressed tar archive file.

- zip: A zip archive file.

Parameters:
  `bundleType` - The file type of the application revision. Must be one of the following:

  - tar: A tar archive file.

  - tgz: A compressed tar archive file.

  - zip: A zip archive file.

See Also:
  `BundleType`

#### getBundleType

    public String getBundleType()

The file type of the application revision. Must be one of the following:

- tar: A tar archive file.

- tgz: A compressed tar archive file.

- zip: A zip archive file.

Returns:
  The file type of the application revision. Must be one of the following:

  - tar: A tar archive file.

  - tgz: A compressed tar archive file.

  - zip: A zip archive file.

See Also:
  `BundleType`

#### withBundleType

    public S3Location withBundleType(String bundleType)

The file type of the application revision. Must be one of the following:

- tar: A tar archive file.

- tgz: A compressed tar archive file.

- zip: A zip archive file.

Parameters:
  `bundleType` - The file type of the application revision. Must be one of the following:

  - tar: A tar archive file.

  - tgz: A compressed tar archive file.

  - zip: A zip archive file.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `BundleType`

#### setBundleType

    public void setBundleType(BundleType bundleType)

The file type of the application revision. Must be one of the following:

- tar: A tar archive file.

- tgz: A compressed tar archive file.

- zip: A zip archive file.

Parameters:
  `bundleType` - The file type of the application revision. Must be one of the following:

  - tar: A tar archive file.

  - tgz: A compressed tar archive file.

  - zip: A zip archive file.

See Also:
  `BundleType`

#### withBundleType

    public S3Location withBundleType(BundleType bundleType)

The file type of the application revision. Must be one of the following:

- tar: A tar archive file.

- tgz: A compressed tar archive file.

- zip: A zip archive file.

Parameters:
  `bundleType` - The file type of the application revision. Must be one of the following:

  - tar: A tar archive file.

  - tgz: A compressed tar archive file.

  - zip: A zip archive file.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `BundleType`

#### setVersion

    public void setVersion(String version)

A specific version of the Amazon S3 object that represents the bundled artifacts for the application revision.

If the version is not specified, the system will use the most recent version by default.

Parameters:
  `version` - A specific version of the Amazon S3 object that represents the bundled artifacts for the application revision.

  If the version is not specified, the system will use the most recent version by default.

#### getVersion

    public String getVersion()

A specific version of the Amazon S3 object that represents the bundled artifacts for the application revision.

If the version is not specified, the system will use the most recent version by default.

Returns:
  A specific version of the Amazon S3 object that represents the bundled artifacts for the application revision.

  If the version is not specified, the system will use the most recent version by default.

#### withVersion

    public S3Location withVersion(String version)

A specific version of the Amazon S3 object that represents the bundled artifacts for the application revision.

If the version is not specified, the system will use the most recent version by default.

Parameters:
  `version` - A specific version of the Amazon S3 object that represents the bundled artifacts for the application revision.

  If the version is not specified, the system will use the most recent version by default.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setETag

    public void setETag(String eTag)

The ETag of the Amazon S3 object that represents the bundled artifacts for the application revision.

If the ETag is not specified as an input parameter, ETag validation of the object will be skipped.

Parameters:
  `eTag` - The ETag of the Amazon S3 object that represents the bundled artifacts for the application revision.

  If the ETag is not specified as an input parameter, ETag validation of the object will be skipped.

#### getETag

    public String getETag()

The ETag of the Amazon S3 object that represents the bundled artifacts for the application revision.

If the ETag is not specified as an input parameter, ETag validation of the object will be skipped.

Returns:
  The ETag of the Amazon S3 object that represents the bundled artifacts for the application revision.

  If the ETag is not specified as an input parameter, ETag validation of the object will be skipped.

#### withETag

    public S3Location withETag(String eTag)

The ETag of the Amazon S3 object that represents the bundled artifacts for the application revision.

If the ETag is not specified as an input parameter, ETag validation of the object will be skipped.

Parameters:
  `eTag` - The ETag of the Amazon S3 object that represents the bundled artifacts for the application revision.

  If the ETag is not specified as an input parameter, ETag validation of the object will be skipped.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public S3Location clone()

Overrides:
  `clone` in class `Object`